org.modeshape.jcr.api

## Class JcrConstants

- java.lang.Object
- - org.modeshape.jcr.api.JcrConstants

-     public final class JcrConstants
      extends Object

  Class which should hold string constants defined by the JCR spec.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JCR_CONTENT`
    `static String` | `JCR_DATA`
    `static String` | `JCR_MIME_TYPE`
    `static String` | `JCR_MIXIN_TYPES`
    `static String` | `JCR_NAME`
    `static String` | `JCR_PATH`
    `static String` | `JCR_PRIMARY_TYPE`
    `static String` | `JCR_ROOT`
    `static String` | `JCR_SCORE`
    `static String` | `MIX_LAST_MODIFIED`
    `static String` | `MIX_REFERENCEABLE`
    `static String` | `MODE_DEPTH`
    `static String` | `MODE_LOCAL_NAME`
    `static String` | `MODE_SHA1`
    `static String` | `NT_FILE`
    `static String` | `NT_FOLDER`
    `static String` | `NT_RESOURCE`
    `static String` | `NT_UNSTRUCTURED`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JCR_CONTENT

          public static final String JCR_CONTENT

      See Also:
        Constant Field Values

    - #### JCR_ROOT

          public static final String JCR_ROOT

      See Also:
        Constant Field Values

    - #### JCR_NAME

          public static final String JCR_NAME

      See Also:
        Constant Field Values

    - #### JCR_PATH

          public static final String JCR_PATH

      See Also:
        Constant Field Values

    - #### JCR_SCORE

          public static final String JCR_SCORE

      See Also:
        Constant Field Values

    - #### JCR_DATA

          public static final String JCR_DATA

      See Also:
        Constant Field Values

    - #### JCR_MIXIN_TYPES

          public static final String JCR_MIXIN_TYPES

      See Also:
        Constant Field Values

    - #### JCR_PRIMARY_TYPE

          public static final String JCR_PRIMARY_TYPE

      See Also:
        Constant Field Values

    - #### JCR_MIME_TYPE

          public static final String JCR_MIME_TYPE

      See Also:
        Constant Field Values

    - #### NT_UNSTRUCTURED

          public static final String NT_UNSTRUCTURED

      See Also:
        Constant Field Values

    - #### NT_FOLDER

          public static final String NT_FOLDER

      See Also:
        Constant Field Values

    - #### NT_FILE

          public static final String NT_FILE

      See Also:
        Constant Field Values

    - #### NT_RESOURCE

          public static final String NT_RESOURCE

      See Also:
        Constant Field Values

    - #### MIX_LAST_MODIFIED

          public static final String MIX_LAST_MODIFIED

      See Also:
        Constant Field Values

    - #### MIX_REFERENCEABLE

          public static final String MIX_REFERENCEABLE

      See Also:
        Constant Field Values

    - #### MODE_LOCAL_NAME

          public static final String MODE_LOCAL_NAME

      See Also:
        Constant Field Values

    - #### MODE_DEPTH

          public static final String MODE_DEPTH

      See Also:
        Constant Field Values

    - #### MODE_SHA1

          public static final String MODE_SHA1

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.